package com.inspect.insreportdata.service;

import com.inspect.insreportdata.domain.InspectionReportData;

import java.util.List;

public interface IInspectionReportDataService {
    InspectionReportData selectInspectionReportDataByLineId(Long lineId);

    List<InspectionReportData> selectInspectionReportDataList(InspectionReportData inspectionReportData);

    List<InspectionReportData> selectListByStatus(InspectionReportData inspectionReportData);

    int insertInspectionReportData(InspectionReportData inspectionReportData);

    int updateInspectionReportData(InspectionReportData inspectionReportData);

    int deleteInspectionReportDataByLineIds(Long[] lineIds);

    int deleteInspectionReportDataByLineId(Long lineId);

    int batchInsertInspectionReportData(List<InspectionReportData> inspectionReportDataList);
}
